Loading...
Searching...
No Matches
grad_u

## Detailed Description

Examples
  combustion_error.cc, combustion_exact.icc, cosinusprod_error_hdg.cc, cosinusprod_error_hdg_post_rt.cc, cosinusprod_grad.h, cosinusprod_post_dg.cc, diffusion_transport_tensor_dg.cc, diffusion_transport_tensor_exact.icc, mosolov_error.cc, mosolov_exact_circle.h, nu.h, p_laplacian_circle.h, p_laplacian_error.cc, sinusprod_error_hdg.cc, sinusprod_error_hdg_post_rt.cc, sinusprod_error_hho_reconstruction.cc, sinusprod_grad.h, transport_tensor_dg.cc, transport_tensor_exact.icc, yield_slip_circle.h, and yield_slip_error.cc.

Definition at line 34 of file combustion_exact.icc.

## Public Member Functions

point | operator() (const point &x) const
| grad_u (Float lambda, bool is_upper)
| grad_u (Float a1)
point | operator() (const point &x) const
| grad_u (size_t d1)
point | operator() (const point &x) const
| grad_u (Float Bi1, Float n1)
point | operator() (const point &x) const
| grad_u (Float q)
point | operator() (const point &x) const
| grad_u (size_t d1)
point | operator() (const point &x) const
| grad_u (Float S, Float n, Float Cf)

## Public Attributes

Float | a
size_t | d
Float | pi

## Protected Attributes

Float | Bi
Float | n
Float | p

## Constructor & Destructor Documentation

## grad_u() [1/7]

grad_u | ( | Float | lambda,
|  | bool | is_upper
| ) |  |

Definition at line 37 of file combustion_exact.icc.

## grad_u() [2/7]

grad_u | ( | Float | a1 | ) |

Definition at line 39 of file combustion_exact.icc.

## grad_u() [3/7]

grad_u | ( | size_t | d1 | ) |

Definition at line 31 of file cosinusprod_grad.h.

## grad_u() [4/7]

grad_u | ( | Float | Bi1,
|  | Float | n1
| ) |  |

Definition at line 37 of file mosolov_exact_circle.h.

## grad_u() [5/7]

grad_u | ( | Float | q | ) |

Definition at line 36 of file p_laplacian_circle.h.

## grad_u() [6/7]

grad_u | ( | size_t | d1 | ) |

Definition at line 37 of file sinusprod_grad.h.

## grad_u() [7/7]

grad_u | ( | Float | S,
|  | Float | n,
|  | Float | Cf
| ) |  |

Definition at line 32 of file yield_slip_circle.h.

## Member Function Documentation

## operator()() [1/6]

point operator() | ( | const point & | x | ) | const

Examples
  combustion_exact.icc, cosinusprod_grad.h, mosolov_exact_circle.h, p_laplacian_circle.h, sinusprod_grad.h, and yield_slip_circle.h.

Definition at line 35 of file combustion_exact.icc.

## operator()() [2/6]

point operator() | ( | const point & | x | ) | const

Definition at line 26 of file cosinusprod_grad.h.

## operator()() [3/6]

point operator() | ( | const point & | x | ) | const

Definition at line 33 of file mosolov_exact_circle.h.

## operator()() [4/6]

point operator() | ( | const point & | x | ) | const

Definition at line 33 of file p_laplacian_circle.h.

## operator()() [5/6]

point operator() | ( | const point & | x | ) | const

Definition at line 26 of file sinusprod_grad.h.

## operator()() [6/6]

point operator() | ( | const point & | x | ) | const

Definition at line 31 of file yield_slip_circle.h.

## Member Data Documentation

## a

Float a

Examples
  combustion_exact.icc.

Definition at line 40 of file combustion_exact.icc.

## d

size_t d

Examples
  cosinusprod_grad.h, and sinusprod_grad.h.

Definition at line 32 of file cosinusprod_grad.h.

## pi

Float pi

Examples
  cosinusprod_grad.h, and sinusprod_grad.h.

Definition at line 32 of file cosinusprod_grad.h.

## Bi

Float Bi

protected

Examples
  mosolov_exact_circle.h.

Definition at line 38 of file mosolov_exact_circle.h.

## n

Float n

protected

Examples
  mosolov_exact_circle.h, and yield_slip_circle.h.

Definition at line 38 of file mosolov_exact_circle.h.

## p

Float p

protected

Examples
  p_laplacian_circle.h.

Definition at line 37 of file p_laplacian_circle.h.

The documentation for this struct was generated from the following files:

- /build/rheolef-mDkPTY/rheolef-7.2/doc/examples/combustion_exact.icc
- /build/rheolef-mDkPTY/rheolef-7.2/doc/examples/cosinusprod_grad.h
- /build/rheolef-mDkPTY/rheolef-7.2/doc/examples/mosolov_exact_circle.h
- /build/rheolef-mDkPTY/rheolef-7.2/doc/examples/p_laplacian_circle.h
- /build/rheolef-mDkPTY/rheolef-7.2/doc/examples/sinusprod_grad.h
- /build/rheolef-mDkPTY/rheolef-7.2/doc/examples/yield_slip_circle.h